org.springframework.messaging.handler.annotation.support

## Class PayloadArgumentResolver

- java.lang.Object
- - org.springframework.messaging.handler.annotation.support.PayloadMethodArgumentResolver
  - - org.springframework.messaging.handler.annotation.support.PayloadArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver

Deprecated.
as of 5.2, in favor of `PayloadMethodArgumentResolver`

    @Deprecated
    public class PayloadArgumentResolver
    extends PayloadMethodArgumentResolver

A resolver to extract and convert the payload of a message using a `MessageConverter`. It also validates the payload using a `Validator` if the argument is annotated with a Validation annotation.

Since:
  4.0
Author:
  Rossen Stoyanchev, Juergen Hoeller, Brian Clozel, Stephane Nicoll

### Constructor Summary

Constructors
Constructor and Description
`PayloadArgumentResolver(MessageConverter messageConverter)` Deprecated. Create a new `PayloadArgumentResolver` with the given `MessageConverter`.
`PayloadArgumentResolver(MessageConverter messageConverter, org.springframework.validation.Validator validator)` Deprecated. Create a new `PayloadArgumentResolver` with the given `MessageConverter` and `Validator`.
`PayloadArgumentResolver(MessageConverter messageConverter, org.springframework.validation.Validator validator, boolean useDefaultResolution)` Deprecated. Create a new `PayloadArgumentResolver` with the given `MessageConverter` and `Validator`.

### Method Summary

### Methods inherited from class org.springframework.messaging.handler.annotation.support.PayloadMethodArgumentResolver

`isEmptyPayload, resolveArgument, resolveTargetClass, supportsParameter, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PayloadArgumentResolver

    public PayloadArgumentResolver(MessageConverter messageConverter)

Deprecated.
Create a new `PayloadArgumentResolver` with the given `MessageConverter`.

Parameters:
  `messageConverter` - the MessageConverter to use (required)
Since:
  4.0.9

#### PayloadArgumentResolver

    public PayloadArgumentResolver(MessageConverter messageConverter,
                                   @Nullable
                                   org.springframework.validation.Validator validator)

Deprecated.
Create a new `PayloadArgumentResolver` with the given `MessageConverter` and `Validator`.

Parameters:
  `messageConverter` - the MessageConverter to use (required)
  `validator` - the Validator to use (optional)

#### PayloadArgumentResolver

    public PayloadArgumentResolver(MessageConverter messageConverter,
                                   @Nullable
                                   org.springframework.validation.Validator validator,
                                   boolean useDefaultResolution)

Deprecated.
Create a new `PayloadArgumentResolver` with the given `MessageConverter` and `Validator`.

Parameters:
  `messageConverter` - the MessageConverter to use (required)
  `validator` - the Validator to use (optional)
  `useDefaultResolution` - if "true" (the default) this resolver supports all parameters; if "false" then only arguments with the `@Payload` annotation are supported.